/* + + + + + + Custom Properties * * * * * */
:root {
  --first-color: rgb(217, 0, 98);
  --first-alpha-color: rgba(217, 0, 98, 0.75);
  --second-color: rgb(20, 25, 45);
  --second-alpha-color: rgba(20, 25, 45, 0.75);
  --third-color: rgb(80, 20, 100);
  --third-alpha-color: rgba(80, 20, 100, 0.75);
  --link-color: rgb(80, 158, 227);
  --link-alpha-color: rgba(80, 158, 227, 0.75);
  --bg-color: rgb(245, 245, 245);
  --bg-alpha-color: rgba(245, 245, 245, 0.44);
}
/* + + + + + + Reset Styles * * * * */
body {
  font-family: "Montserrat", sans-serif;
}
a {
  color: var(--link-color);
  transition: all 0.3s ease-out;
}
a:hover {
  color: var(--link-first-color);
}
/* + + + + + + Bootstrap Styles * * * * */
.carousel-caption {
  z-index: 1;
}
.navbar-brand img {
  width: auto;
  height: 3rem;
}
.bg-dark-sec {
  background-color: var(--second-color);
}
.nav-item {
  /* padding-left: 0.5rem; */
  transition: all 0.3 ease-out;
}

.carousel-control-prev-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23d90062'%3e%3cpath d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/%3e%3c/svg%3e");
}
.carousel-control-next-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23d90062'%3e%3cpath d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

.nav-item:hover {
  background-color: var(--first-alpha-color);
  border-radius: 15px;
}

.nav-link {
  margin-left: 0.5rem;
  color: var(--first-color);
  font-size: 1.15rem;
  font-weight: bold;
}

.nav-link:hover {
  color: var(--bs-white);
}

.dropdown-item {
  color: var(--first-alpha-color);
  font-weight: bold;
  transition: all 0.3s ease-out;
}
.dropdown-item:hover {
  color: var(--third-alpha-color);
}
/* + + + + + + My Styles * * * * */

.bg-second-alpha-color {
  background-color: var(--second-alpha-color);
}
.text-color {
  color: var(--first-color);
}
.bg-gradient-blue-green {
  background-color: rgba(83, 184, 152, 1);
  background-image: linear-gradient(
    135deg,
    rgba(47, 145, 224, 0.91),
    rgba(7, 31, 51, 0.97) 79%
  );
  background-image: linear-gradient(
    131deg,
    rgba(28, 118, 173, 0.92),
    rgba(83, 184, 152, 1)
  );
}

.bg-hero-image {
  background-image: var(--bg-image);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}
.bg-third-color {
  background-color: var(--third-color);
}
.text-third-color {
  color: var(--third-color);
}
.bg-color {
  background-color: --var(--bg-color);
}
.bg-alpha-color {
  background-color: rgba(245, 245, 245, 0.44);
}
/* // X-Small devices (portrait phones, less than 576px)
// No media query for `xs` since this is the default in Bootstrap

// Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
}

/* // Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
}

/* // Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .nav-item:hover {
    background-color: transparent;
  }
}

/* // X-Large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {
}

/* // XX-Large devices (larger desktops, 1400px and up) */
@media (min-width: 1400px) {
}
